ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 46383] New: Documentation error: chained mapper NOT supported in 1.6.2
Date Thu, 11 Dec 2008 18:47:50 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=46383

           Summary: Documentation error: chained mapper NOT supported in
                    1.6.2
           Product: Ant
           Version: unspecified
          Platform: PC
        OS/Version: Linux
            Status: NEW
          Severity: minor
          Priority: P2
         Component: Core tasks
        AssignedTo: notifications@ant.apache.org
        ReportedBy: archie@dellroad.org


The online manual claims the "chained" mapper is supported "since Ant 1.6.2".

However this does not seem to be true:

$ cat > build.xml
<?xml version="1.0" encoding="UTF-8"?>
<project name="foo" default="foo">
    <target name="foo">
        <mkdir dir="build"/>
        <move todir="build">
            <fileset dir="${basedir}">
                <include name="**/*.xml"/>
            </fileset>
            <chainedmapper>
                <mapper type="glob" from="*ild.xml" to="*ilderdash.xml"/>
                <mapper type="flatten"/>
            </chainedmapper>
        </move>
    </target>
</project>
^D
$ ant -version
Apache Ant version 1.6.2 compiled on October 3 2006
$ ant
Buildfile: build.xml

foo:

BUILD FAILED
/usr/share/ivyroundup/foo/build.xml:5: The <move> type doesn't support the
nested "chainedmapper" element.

Total time: 0 seconds

Note the documentation for <move> does not specify any limitation on the use of
mapper subtags.


-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

Mime
View raw message